Package org.bukkit.block.data

# Interface AnaloguePowerable

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `DaylightDetector`, `RedstoneWire`, `SculkSensor`

public interface AnaloguePowerable extends BlockData
'power' represents the redstone power level currently being emitted or transmitted via this block.
May not be over 9000 or `getMaximumPower()` (usually 15).

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaximumPower()`
Gets the maximum allowed value of the 'power' property.
`int`
`getPower()`
Gets the value of the 'power' property.
`void`
`setPower(int power)`
Sets the value of the 'power' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

## Method Details

### getPower

int getPower()
Gets the value of the 'power' property.

Returns:
  the 'power' value

### setPower

void setPower(int power)
Sets the value of the 'power' property.

Parameters:
  `power` - the new 'power' value

### getMaximumPower

int getMaximumPower()
Gets the maximum allowed value of the 'power' property.

Returns:
  the maximum 'power' value